import { http } from "@/api/http";
import { httpErrorHandle } from "@/utils";
import { RequestHttpEnum } from "@/enums/httpEnum";

export const getList = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.GET)(
      "/intellectual-property/patent-operations/list",
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 添加
export const postCreate = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.POST)(
      "/intellectual-property/patent-operations/patent_operation",
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 编辑
export const postUpdate = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.POST)(
      "/intellectual-property/patent-operations/patent_operation",
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 删除
export const deleteProject = async (id: number) => {
  try {
    const res = await http(RequestHttpEnum.DELETE)(
      "/intellectual-property/patent-operations/delete/" + id
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};
