import { http } from "@/api/http";
import { httpErrorHandle } from "@/utils";
import { RequestHttpEnum } from "@/enums/httpEnum";

export const getList = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.GET)(
      "/patents/list",
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 添加商标
export const postCreate = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.POST)(
      "/patents/create",
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 编辑商标
export const postUpdate = async (data: any) => {
  try {
    const res = await http(RequestHttpEnum.POST)(
      "/patents/create",
      data
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};

// 删除商标
export const deleteProject = async (id: number) => {
  try {
    const res = await http(RequestHttpEnum.DELETE)(
      "/patents/delete/" + id
    );
    return res;
  } catch {
    httpErrorHandle();
  }
};
